Qt API | Qtopia API | Qtopia Documentation |

# TimeZoneSelector Class Reference

The TimeZoneSelector widget allows users to configure their time zone information. More...

`#include <qtopia/tzselect.h>`

Inherits QHBox.

List of all member functions.

## Public Members

- TimeZoneSelector ( QWidget * p = 0, const char * n = 0 )
- ~TimeZoneSelector ()
- QString currentZone () const
- void setCurrentZone ( const QString & id )

## Signals

- void signalNewTz ( const QString & id )

## Detailed Description

The TimeZoneSelector widget allows users to configure their time zone information.

See also Qtopia Classes.

## Member Function Documentation

### TimeZoneSelector::TimeZoneSelector ( QWidget * p = 0, const char * n = 0 )

Creates a new TimeZoneSelector with parent p and name n. The combobox will be populated with the available timezones.

### TimeZoneSelector::~TimeZoneSelector ()

Destroys a TimeZoneSelector.

### QString TimeZoneSelector::currentZone () const

Returns the currently selected timezone as a string in location format, e.g.

     Australia/Brisbane

### void TimeZoneSelector::setCurrentZone ( const QString & id )

Sets the current timezone to id.

### void TimeZoneSelector::signalNewTz ( const QString & id )`[signal]`

This signal is emitted when a timezone has been selected by the user. The id is a QString in location format, eg

     Australia/Brisbane

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.